Use Hash::Util::FieldHash or ties, depending on availability
Perl
Pull request Compare This branch is 58 commits ahead of nothingmuch:master.
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
lib/Hash/Util/FieldHash
t
xt/author
.gitignore
.mailmap
CONTRIBUTING
Changes
INSTALL
LICENCE
README.pod
dist.ini

README.pod

NAME

Hash::Util::FieldHash::Compat - Use Hash::Util::FieldHash or ties, depending on availability

VERSION

version 0.11

SYNOPSIS

    use Hash::Util::FieldHash::Compat;

    # pretend you are using L<Hash::Util::FieldHash>
    # under older perls it'll be Tie::RefHash::Weak instead (slower, but same behavior)

DESCRIPTION

Under older perls this module provides a drop-in compatible API to Hash::Util::FieldHash using perltie. When Hash::Util::FieldHash is available it will use that instead.

This way code requiring field hashes can benefit from fast, robust field hashes on Perl 5.10 and newer, but still run on older perls that don't ship with that module.

See Hash::Util::FieldHash for all the details of the API.

SEE ALSO

Hash::Util::FieldHash, Tie::RefHash, Tie::RefHash::Weak.

SUPPORT

Bugs may be submitted through the RT bug tracker (or bug-Hash-Util-FieldHash-Compat@rt.cpan.org).

AUTHOR

יובל קוג'מן (Yuval Kogman) <nothingmuch@woobling.org>

CONTRIBUTOR

Karen Etheridge <ether@cpan.org>

COPYRIGHT AND LICENCE

This software is copyright (c) 2008 by יובל קוג'מן (Yuval Kogman).

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.